/*
 * NormParam.java
 *
 * Created on September 13, 2000, 1:52 PM
 */
 
package saaps.util;

/** 
 *
 * @author  saaps
 * @version 
 */
public class NormParam extends Object {

  //The normalization parameters
  private double inMin;
  private double inMax;
  private double outMin;
  private double outMax;
  
  /** Creates new NormParam */
  public NormParam() {
  }
  
  public NormParam(double imin, double imax, double omin, double omax) {
    inMin = imin;
    inMax = imax;
    outMin = omin;
    outMax = omax;
  }
  
  public double normalize(double x)
  {
    return (x-inMin)/(inMax-inMin)*(outMax-outMin)+outMin;
  }
  
}