<?php

//////
// Connect to database.
//////
  function connect_to_database($host, $user, $password, $database,
                               $port, $socket)
  {
    $conn = mysqli_init();
    if (!$conn) die("Failed to initialize database connection");
    if (!$conn->real_connect($host, $user, $password, $database, $port, $socket))
      die("Unable to connect to database");

    return $conn;
  }


//////
// Convert cdfepoch to string
//////
  function cdfepoch_to_datetime($epoch)
  {
    $cdf_1970 = 62167219200000.0;

    $depoch = $epoch - $cdf_1970;
;    $msec = $depoch % 1000.0;
    $sec = floor($depoch/1000.0);
    $msec = $depoch-1000*$sec;
print $epoch . "  " . $depoch . "  " . $sec . "  " . $msec . LF;
    $datetime = gmdate("Y-m-d H:i:s", $sec);

    return $datetime . "." . sprintf("%03d", $msec);
  }


    if (substr(PHP_OS, 0, 3) == "WIN")
      define("LF", "\r\n");
    else
      define("LF", "\n");


  $link = connect_to_database("localhost", "spenvis", "Affligem", "ODI",
                              2000, "");

  $dHandle = fopen("dbtemp.txt", "w");

  fprintf($dHandle, "%s" . LF, "<CENTER><TABLE border='1' cellspacing='4' cellpadding='4' width='80%'>");
  fprintf($dHandle, "%s" . LF, "<CAPTION><B>Available data sets</B></CAPTION>");
  fprintf($dHandle, "%s" . LF, "<TR><TH colspan='2'>Dataset</TH><TH>Start Time</TH><TH>End Time</TH></TR>");

  $query = "SELECT ds.name AS name, ds.epoch_start AS tmin, " .
           "ds.epoch_end AS tmax, dm.value AS description " .
           "FROM dataset AS ds LEFT JOIN dataset_metadata AS dm " .
           "ON (ds.id=dm.dataset_id) WHERE " .
           "dm.attribute='Logical_source_description'";
  $result = mysqli_query($link, $query);
  while ($row = mysqli_fetch_array($result, MYSQLI_ASSOC))
  {
    fprintf($dHandle, "<TR><TD align='center'>" .
                      "<INPUT type='radio' name='PRIMARY' value='%s" .
                      "'></TD>" . LF, $row["name"]);
    fprintf($dHandle, "<TD align='left'>%s</TD>" . LF, $row["description"]);
    fprintf($dHandle, "<TD align='left' nowrap>%s</TD>" . LF,
                      cdfepoch_to_datetime($row["tmin"]));
    fprintf($dHandle, "<TD align='left' nowrap>%s</TD></TR>" . LF,
                      cdfepoch_to_datetime($row["tmax"]));
  }
  mysqli_free_result($result);


  fprintf($dHandle, "%s" . LF, "</TABLE></CENTER><P>");

  fclose($dHandle);

  mysqli_close($link);

?>