PRO DBConnect, oDB

  status = DB_EXISTS()

  IF (~status) THEN error_message, "Error starting IDL DataMiner"

  oDB = OBJ_NEW('IDLDBDatabase')

  ds = "ODI Spitfire"
  sources = oDB->GetDataSources()
  dbindex = WHERE(sources.datasource EQ ds, n)
  IF (n LT 1) THEN error_message, "Error connecting to " + ds

  oDB->Connect, DataSource=ds

END


PRO cdfepoch_to_string, epoch, sepoch

  CDF_EPOCH, epoch, year, month, day, hour, min, sec, /B

  sepoch = STRING(day, FORMAT="(I2.2)") + "/" + $
           STRING(month, FORMAT="(I2.2)") + "/" + $
           STRING(year, FORMAT="(I4.4)") + " " + $
           STRING(hour, FORMAT="(I2.2)") + ":" + $
           STRING(min, FORMAT="(I2.2)") + ":" + $
           STRING(sec, FORMAT="(I2.2)")

END


PRO epoch_to_string, epoch, sepoch

  sepoch = STRING(epoch.DAY, FORMAT="(I2.2)") + "/" + $
           STRING(epoch.MONTH, FORMAT="(I2.2)") + "/" + $
           STRING(epoch.YEAR, FORMAT="(I4.4)") + " " + $
           STRING(epoch.HOUR, FORMAT="(I2.2)") + ":" + $
           STRING(epoch.MINUTE, FORMAT="(I2.2)") + ":" + $
           STRING(epoch.SECOND, FORMAT="(I2.2)")

END



PRO db_lib

END