#!/usr/bin/php
<?php
// Drop all tables in ODI.
// Peter Wintoft, Swedish Institute of Space Physics
// 2009-05-13

require_once($_SERVER["ODI_HOME"].'/lib/odi.library.php');

// Connect to database at user level 1.
$ca=get_conn_array(1);
$conn=connect_to_database_array($ca);

// Repeat table dropping until no more tables.
$more_tables=TRUE;
$i=1;
while($more_tables) {
    $more_tables=FALSE;
    // Get all tables.
    $q='SHOW TABLES';
    if (!($result=$conn->query($q))) printf("Query: %s\nError: %s\n",$q,$conn->error);
    while($row=$result->fetch_row()) {
        $more_tables=TRUE;
        $q='DROP TABLE '.no_quote($row[0]);
        fwrite(STDOUT,"Pass ".$i.". Trying ".$q." ... ");
        if (($conn->query($q))) 
            fwrite(STDOUT,"OK!\n");
        else
            fwrite(STDOUT,"Failed! Will try on next pass.\n");
    }
    $i++;
}
?>