#!/bin/bash
# A script to set up the enviornment variables. It should be edited to reflect
# the local settings.
# Peter Wintoft, 2009-10-09

ODI_HOME=$HOME/odi
ODI_RAWDATA=$HOME/datasets
ODI_USER_1=ODI
ODI_USER_2=ODIupdate
ODI_USER_3=ODIuser
ODI_PW_1=millerlite
ODI_PW_2=SamAdams
ODI_PW_3=Westvleteren
ODI_HOST=localhost
ODI_PORT=3306
ODI_SOCKET=/tmp/mysql.sock
ODI_DB=ODI

export ODI_HOME ODI_RAWDATA ODI_USER_1 ODI_USER_2 ODI_USER_3 ODI_PW_1 ODI_PW_2 ODI_PW_3 ODI_HOST ODI_PORT ODI_SOCKET ODI_DB

# Chech that ODI_RAWDIR exists, else create.
if [ -e $ODI_RAWDATA ]
then
    if [ ! -d $ODI_RAWDATA ]
    then
        echo "$ODI_RAWDATA must be a directory!"
        exit
    fi
else
    echo "Creating directory ${ODI_RAWDATA}."
    `mkdir $ODI_RAWDATA`
fi