/* 
	RecreateMeta.java

	Title:
	Author:
	Description:	
*/

package saaps.dbt;

import java.io.*;
import java.text.DateFormat;


public class RecreateMeta  {

  String useThis;


  // Main entry point
  static public void main(String[] args) {

    Database dbRef;

    if(args.length==0) {
      System.out.println("Usage: java saaps.dbt.DataLook <Db class name>");
      System.exit(0);
    }

    dbRef = Database.getInstance(args[0]);

    try {

      DatabaseObject dboF = dbRef.getFirst();
      DatabaseObject dboL = dbRef.getLast();
      dbRef.setDefaultMeta(dboF.getDate(),dboL.getDate());

      System.out.println("MetaData set to, start at:" + dboF.getDate() + " end at:" + dboL.getDate());

      dbRef.close();
    }
    catch (IOException ee) {
	System.err.println(ee);
	ee.printStackTrace();
    }

  }
}
