package saaps.util;

import java.util.Calendar;
import java.util.Date;
import java.util.Locale;
import java.util.TimeZone;
import javax.swing.JComboBox;

public class YMDJComboBox extends Object{
  private JComboBox year;
  private JComboBox month;
  private JComboBox day;
  private int hour;
  private int minute;
  private int second;

  // Set the date format.
//  DateFormat df = DateFormat.getDateTimeInstance(DateFormat.DEFAULT,DateFormat.DEFAULT,new Locale("sv","SE"));
//  df.setTimeZone(TimeZone.getTimeZone("UTC"));
//  Calendar cal = Calendar.getInstance(TimeZone.getTimeZone("UTC"),new Locale("sv","SE"));

 public YMDJComboBox()
  {
  }

 public YMDJComboBox(JComboBox y, JComboBox m, JComboBox d, int hh, int mm, int ss)
  {
    setJComboBox(y,m,d,hh,mm,ss);
  }

  public void setJComboBox(JComboBox y, JComboBox m, JComboBox d, int hh, int mm, int ss)
  {
    year = y;
    month = m;
    day = d;
    hour = hh;
    minute = mm;
    second = ss;
  }

  public Date getDate()
  {
    Calendar cal = Calendar.getInstance(TimeZone.getTimeZone("GMT"));
    // Find the selected dates.
    int y = ((Integer) year.getSelectedItem()).intValue();
    int m = ((Integer) month.getSelectedItem()).intValue();
    int d = ((Integer) day.getSelectedItem()).intValue();
    cal.set(y,m,d,hour,minute,second);
    cal.clear(cal.MILLISECOND);                // Set MS field to 0;
    return cal.getTime();
  }
}
